Package org.codehaus.janino

# Interface Java.LambdaBody

All Known Implementing Classes:
  `Java.BlockLambdaBody`, `Java.ExpressionLambdaBody`

Enclosing class:
  `Java`

public static interface Java.LambdaBody
Representation of a "lambda body", see JLS9 15.27.2.

## Method Summary

Modifier and Type
Method
Description
`<R, EX extends Throwable>
R`
`accept(Visitor.LambdaBodyVisitor<R,EX> lbv)`
Invokes the "`visit...()`" method of `Visitor.LambdaBodyVisitor` for the concrete `Java.LambdaBody`.

## Method Details

### accept

@Nullable <R, EX extends Throwable> R accept(Visitor.LambdaBodyVisitor<R,EX> lbv) throws EX
Invokes the "`visit...()`" method of `Visitor.LambdaBodyVisitor` for the concrete `Java.LambdaBody`.

Throws:
  `EX`